Search documentation of ExStreamClient

# ExStreamClient.Model.CallSettingsResponse (ExStreamClient v0.1.10)

View Source

Schema representing a CallSettingsResponse

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.CallSettingsResponse{
      audio: ExStreamClient.Model.AudioSettingsResponse.t(),
      backstage: ExStreamClient.Model.BackstageSettingsResponse.t(),
      broadcasting: ExStreamClient.Model.BroadcastSettingsResponse.t(),
      frame_recording: ExStreamClient.Model.FrameRecordingSettingsResponse.t(),
      geofencing: ExStreamClient.Model.GeofenceSettingsResponse.t(),
      limits: ExStreamClient.Model.LimitsSettingsResponse.t(),
      recording: ExStreamClient.Model.RecordSettingsResponse.t(),
      ring: ExStreamClient.Model.RingSettingsResponse.t(),
      screensharing: ExStreamClient.Model.ScreensharingSettingsResponse.t(),
      session: ExStreamClient.Model.SessionSettingsResponse.t(),
      thumbnails: ExStreamClient.Model.ThumbnailsSettingsResponse.t(),
      transcription: ExStreamClient.Model.TranscriptionSettingsResponse.t(),
      video: ExStreamClient.Model.VideoSettingsResponse.t()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()